Bug 1868035 - [4.4] Routes created via the webconsole set route.spec.port.targetPort to the service.spec.ports.port
Summary: [4.4] Routes created via the webconsole set route.spec.port.targetPort to the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.4.z
Assignee: Robb Hamilton
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On: 1868034
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-11 13:13 UTC by Samuel Padgett
Modified: 2020-09-24 14:02 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The web console route creation form was incorrectly setting route.spec.port.targetPort to the service.spec.ports.port when creating new routes. Consequence: Routes created using the web console route creation form resulted in routes with the incorrect port. Fix: The web console route creation form now utilizes route.spec.port.targetPort if specified when creating new routes. Result: Routes created using the web console route creation form correctly set the target port to route.spec.port.targetPort when specified.
Clone Of: 1868034
Environment:
Last Closed: 2020-08-25 06:20:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6288 0 None closed [release-4.4] Bug 1868035: fix bug where Routes created set route.spec.port.targetP… 2021-02-04 12:02:15 UTC
Red Hat Product Errata RHBA-2020:3440 0 None None None 2020-08-25 06:20:38 UTC

Comment 5 errata-xmlrpc 2020-08-25 06:20:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3440


Note You need to log in before you can comment on or make changes to this bug.